# Generated by Django 5.0.3 on 2024-03-21 01:11
from django.db import migrations
from tqdm import tqdm

from django_crypto_fields.utils import get_crypt_model_cls


def fix_hash_value(apps, schema_editor):
    crypt_cls = get_crypt_model_cls()
    qs = crypt_cls.objects.all()
    total = qs.count()
    for obj in tqdm(crypt_cls.objects.all(), total=total):
        if obj.hash.startswith("b'") and obj.hash.endswith("'"):
            obj.hash = obj.hash[2:][:-1]
            obj.save()


class Migration(migrations.Migration):

    dependencies = [
        ("django_crypto_fields", "0005_crypt_locale_created_crypt_locale_modified"),
    ]

    operations = [migrations.RunPython(fix_hash_value)]
